Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class SlipExpander

    java.lang.Object
      ix.iplan.SlipExpander

     class SlipExpander

extends java.lang.Object

Represents one Refinement's way of expanding a node.

Field Summary
`(package private) java.util.List` | `filterEnvs`
`(package private) AgendaItem` | `item`
`(package private) Refinement` | `refinement`
`(package private) MatchEnv` | `refinementMatchEnv`
`(package private) Symbol` | `S_OUTPUT_OBJECTS`
`(package private) Slip` | `slip`

Constructor Summary
`SlipExpander(Slip slip, AgendaItem item, Refinement r, MatchEnv refinementMatchEnv, java.util.List filterEnvs)`

Method Summary
`(package private) MatchEnv` | `bindAnyOutputs(MatchEnv expandEnv)`
`(package private) void` | `doExpansion()`
`(package private) MatchEnv` | `getInstantiationEnv()`
`(package private) boolean` | `isExpandLater()`
`(package private) boolean` | `isStillValid()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### slip

    Slip slip

### item

    AgendaItem item

### refinement

    Refinement refinement

### refinementMatchEnv

    MatchEnv refinementMatchEnv

### filterEnvs

    java.util.List filterEnvs

### S_OUTPUT_OBJECTS

    final Symbol S_OUTPUT_OBJECTS

Constructor Detail

### SlipExpander

    SlipExpander(Slip slip,
                 AgendaItem item,
                 Refinement r,
                 MatchEnv refinementMatchEnv,
                 java.util.List filterEnvs)

Method Detail

### isExpandLater

    boolean isExpandLater()

### isStillValid

    boolean isStillValid()

### doExpansion

    void doExpansion()

### getInstantiationEnv

    MatchEnv getInstantiationEnv()

### bindAnyOutputs

    MatchEnv bindAnyOutputs(MatchEnv expandEnv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD